Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057850 - csound FTBFS if "-Werror=format-security" flag is used
Summary: csound FTBFS if "-Werror=format-security" flag is used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: csound
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1038083
TreeView+ depends on / blocked
 
Reported: 2014-01-25 10:26 UTC by Ville Skyttä
Modified: 2014-09-23 04:25 UTC (History)
2 users (show)

Fixed In Version: csound-6.03.2-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:25:36 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2014-01-25 10:26:52 UTC
csound FTBFS with -Werror=format-security because it sets -Wno-format and the combination of those two is considered an error by gcc.

Adding -Wformat to customC*FLAGS doesn't fix it, then it fails with errors raised by -Werror=format-security, there seems to be quite a few of them in the source.

Comment 1 Fedora Update System 2014-09-17 03:15:33 UTC
csound-6.03.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/csound-6.03.2-1.fc21

Comment 2 Fedora Update System 2014-09-18 16:13:12 UTC
Package csound-6.03.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing csound-6.03.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10933/csound-6.03.2-1.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-09-23 04:25:36 UTC
csound-6.03.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.